/* google font */
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;800;900&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  height: 100%;
  width: 100%;
  font-family: "Poppins", sans-serif;
  text-transform: capitalize;
}

body ul,
li {
  margin: 0;
  padding: 0;
  list-style: none;
}

body a {
  text-decoration: none;
}

:root {
  --main-color: #2e3192;
  --sub-color: #f69500;
  --sub-main-color: #eff7ff;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  margin: 0;
  padding: 0;
}

p {
  margin: 0;
  padding: 0;
}

body .form-control:focus {
  box-shadow: none;
  border-color: red;
  /* box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px; */
}

body .form-select:focus {
  box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
  border-color: var(--sub-color);
}

.card {
  border: 0;
  background-color: transparent;
}

body img,
svg {
  max-width: 100%;
}

/* -------------------------------------------
             login-form
----------------------------------------------*/
.login {
  height: 100vh;
  width: 100%;
  position: relative;
  background-image: url(../img/login-bg.jpg);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}

.login_overlay {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  background-color: rgba(0, 0, 0, 0.6);
}

.login_inner {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  display: flex;
  justify-content: center;
  align-items: center;
}

.log_inner {
  max-width: 400px;
  width: 100%;
  background-color: #fff;
  box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
  padding: 5px;
  padding: 20px;
}

.log_inner .logo {
  text-align: center;
  margin-bottom: 30px;
  filter: drop-shadow(8px, 8px, 10px, #000);
}

.log_inner .form-control {
  border-radius: 0%;
}

.log_inner .sub {
  background-color: #2e3192;
  color: #fff;
  text-transform: uppercase;
  position: relative;
  transition: 0.5s cubic-bezier(0.25, 0.46, 0.45, 0.94);
}

.log_inner .sub:hover {
  letter-spacing: 3px;
  background-color: var(--sub-color);
}

.log_inner .newp {
  font-size: 12px;
  color: #777777;
}

.log_inner .newp a {
  color: var(--main-color);
}

.log_inner h4 {
  font-weight: 500;
  text-transform: capitalize;
  margin-bottom: 5px;
}

.log_inner .p {
  font-size: 12px;
  margin-bottom: 30px;
  color: #777777;
}

.log_inner label {
  font-size: 12px;
  text-transform: capitalize;
  color: var(--main-color);
}

/* -------------------------------------------
             slide-bar
----------------------------------------------*/
.slidebar {
  background-color: var(--main-color);
  width: 280px;
  position: fixed;
  left: 0;
  height: 100%;
  top: 0;
  transition: all 0.2s ease-in-out;
  z-index: 90909090;
  overflow-y: scroll;
}

/* ::-webkit-scrollbar {
  width: 0;
} */


.slidebar .sub-menu li a {
  padding: 13px 45px;
  font-size: 13px;
}

.slidebar .active {
  background-color: var(--sub-color) !important;
}

.slidebar .logo {
  margin-bottom: 40px;
  padding: 20px;
}

.slidebar .logo img {
  margin-right: 15px;
}

.slidebar .logo .logo-text {
  color: #fff;
  font-weight: 500;
  transition: opacity 0.3s ease-in-out 0.3s;
}

.slidebar .logo .logo-text H3 {
  letter-spacing: 2px;
}

.slidebar .logo .logo-text p {
  font-size: 9px;
  letter-spacing: 2px;
  font-weight: 400;
}

.slidebar ul li a {
  padding: 1.25rem 1.56rem;
  display: flex;
  align-items: center;
  line-height: 20px;
  text-transform: uppercase;
  font-weight: 500;
  color: #fff;
  font-size: 14px;
}

/* .slidebar ul li {
  margin-bottom: 13px;
  width: 100%;
  padding: 10px 30px;
} */
/* .slidebar ul li:hover {
  background-color: #dadada;
} */
.links_part ul li span {
  transition: opacity 0.3s ease-in-out 0.3s;
}

/* .slidebar ul li:hover {
} */
/* .slidebar .links_part{
    padding: 0 20px;
} */
.slidebar ul li a i {
  float: left;
  margin-right: 1.2rem;
  width: 30px;
  text-align: center;
  line-height: 20px;
  font-size: 16px;
}

/* -------------------------------------------
             header
----------------------------------------------*/
.topbar {
  width: 100%;
  position: relative;
  display: flex;
  justify-content: flex-end;
  align-items: center;
  border-bottom: 1px solid var(--sub-main-color);
}

.topbar .humburger {
  position: relative;
  cursor: pointer;
  display: none;
}

.humburger .bar1,
.bar2,
.bar3 {
  height: 2px;
  width: 30px;
  background-color: #000;
  margin-bottom: 5px;
  border-radius: 30px;
  transition: all 0.3s ease-in-out;
}

.topbar {
  padding: 10px 10px;
}

.topbar ul {
  display: flex;
  gap: 40px;
  align-items: center;
}

.topbar ul li a {
  color: var(--main-color);
}

.topbar ul img {
  height: 40px;
  width: 40px;
  object-fit: cover;
  border-radius: 50%;
}

.link-drop {
  position: relative;
}

.link-drop::after {
  content: "";
  position: absolute;
  top: 50%;
  right: 30px;
  display: block;
  width: 0.42em;
  height: 0.42em;
  border: 1px solid;
  border-bottom: 0;
  border-left: 0;
  transform: translateY(-50%) rotate(45deg);
}

.activeslidebar .link-drop::after {
  top: 47%;
  right: 15px;
}

.sub-menu {
  display: none;
  background-color: #4649aa;
}

.drop-down-user {
  position: absolute;
  top: 70px;
  width: 150px;
  right: 20px;
  background-color: #fff;
  padding: 20px;
  z-index: 9000;
  box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
  opacity: 0;
  visibility: hidden;
  transition: 0.5s cubic-bezier(0.645, 0.045, 0.355, 1);
}

.activedropdowncontent {
  opacity: 1;
  visibility: visible;
  transform: translatey(-10px);
}

.drop-down-user ul {
  display: flex !important;
  flex-direction: column !important;
  gap: 30px !important;
  align-items: flex-start !important;
}

.drop_down_btn {
  cursor: pointer;
  position: relative;
}

.drop_down_btn::before {
  content: "";
  position: absolute;
  right: 0;
  top: 10px;
  background-color: greenyellow;
}

.drop-down-user ul li a {
  display: flex;
  align-items: center;
  font-weight: 500;
  text-transform: capitalize;
}

.drop-down-user ul li a i {
  width: 40px;
  display: flex;
  align-items: center;
}

/* -------------------------------------------
             deshboard
----------------------------------------------*/
.dashboard_main_warp {
  width: calc(100% - 280px);
  position: absolute;
  right: 0;
  bottom: 0;
  height: 100%;
  transition: all 0.2s ease;
  padding: 0 10px;
}

/* .deshboard_main_warp .green-line {
  position: absolute;
  right: 0;
  top: -50px;
  opacity: 0.6;
}
.deshboard_main_warp .svg_part{
  position: relative;
  height: 100%;
  width: 100%;
}
.deshboard_main_warp .red-line{
  position: absolute;
  right: 0;
  bottom: 0;
  opacity: .5;
  z-index: 20;
} */

.main_inner {
  position: relative;
  padding: 0 13px;
}

.chart_part {
  padding: 0 13px;
}

.third_part {
  padding: 0 13px;
}

.main_inner .welcome_box {
  background-color: var(--sub-main-color);
}

.main_part {
  margin-top: 30px;
}

.welcome_box h4 {
  font-size: 30px;
  margin-bottom: 10px;
  line-height: 35px;
  color: var(--main-color);
  font-weight: 500;
}

.welcome_box p {
  font-size: 12px;
  color: #777777;
}

.welcome_box .text-part {
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  padding-left: 40px;
}

.facility_box {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: var(--sub-main-color);
  padding: 31px;
}

.facility_box p {
  text-transform: uppercase;
  color: #808191;
  font-size: 12px;
  font-weight: 500;
  margin-bottom: 6px;
}

.facility_box h2 {
  font-weight: 500;
  font-size: 35px;
  color: var(--main-color);
}

.apexcharts-toolbar {
  opacity: 0;
  visibility: hidden;
}

.chart-side {
  background-color: var(--sub-main-color);
}

.second-side {
  background-color: var(--sub-main-color);
}

.student_activity_part {
  background-color: var(--sub-main-color);
}

.student_activity_part .card,
.attendance_part .card {
  box-shadow: none;
}

.student_activity_part table h6 {
  font-size: 14px;
  font-weight: 500;
}

.student_activity_part p {
  font-size: 12px;
  color: #808191;
  text-transform: uppercase;
  font-weight: 400;
}

.student_activity_part .right_part p {
  background: #fff9ed;
  color: #808191;
  font-weight: 400;
  font-size: 11px;
  padding: 5px 9px;
  border-radius: 6px;
  width: 100px;
  text-align: center;
}

.table> :not(caption)>*>* {
  background-color: transparent !important;
  padding: 1.1rem 0.5rem;
}

.student_activity_part .table {
  background: var(--sub-main-color) !important;
}

.scroll_activity {
  height: 410px;
  overflow-y: scroll;
}

.letest_course_Part ul li {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 20px;
  flex-wrap: wrap;
}

.letest_course_Part {
  background-color: var(--sub-main-color);
}

.letest_course_Part .left_part h6 {
  margin-right: 15px;
  font-size: 18px;
}

.letest_course_Part .left_part p {
  font-size: 12px;
  color: #777777;
}

.letest_course_Part .range_box .range_bar {
  width: 150px;
  height: 15px;
  background-color: #d9d9d9;
  position: relative;
  border-radius: 10px;
}

.letest_course_Part .right_part {
  display: flex;
  align-items: center;
}

.letest_course_Part .right_part .range_box {
  margin-right: 20px;
}

.letest_course_Part .right_part .range_box .range_per {
  display: inline-block;
  width: 50%;
  background-color: orange;
  height: 100%;
  position: absolute;
  left: 0;
  top: 0;
  border-radius: 10px;
  animation: width 2s ease-in-out;
}

.letest_course_Part .right_part .range_box .first {
  animation: firstwidth 2s ease-in-out;
}

.letest_course_Part .right_part .range_box .second {
  animation: secondwidth 2s ease-in-out;
}

.letest_course_Part .right_part .range_box .fourth {
  animation: fourthwidth 2s ease-in-out;
}

@keyframes fourthwidth {
  0% {
    width: 0%;
  }

  100% {
    width: 62%;
  }
}

@keyframes secondwidth {
  0% {
    width: 0%;
  }

  100% {
    width: 25%;
  }
}

@keyframes firstwidth {
  0% {
    width: 0%;
  }

  100% {
    width: 50%;
  }
}

@keyframes width {
  0% {
    width: 0%;
  }

  100% {
    width: 100%;
  }
}

.letest_course_Part .right_part .num {
  width: 40px;
  height: 40px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.attendance_part {
  background-color: var(--sub-main-color);
}

.chart_title {
  padding: 20px;
}

.chart_title h4 {
  text-transform: capitalize;
}

/* instructor slider part */
.attendance_part .instructors_slider .instructor_box {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  text-align: center;
}

.attendance_part .instructors_slider img {
  height: 100px;
  width: 100px;
  object-fit: cover;
  border-radius: 20px;
  margin-bottom: 10px;
}

.attendance_part .instructors_slider .name h6 {
  font-weight: 500;
  font-size: 25px;
}

.attendance_part .instructors_slider .review {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 200px;
  margin: 12px 0;
  color: gray;
  margin-bottom: 20px;
}

.attendance_part .instructors_slider .review .line {
  height: 20px;
  width: 0.125rem;
  background-color: #dbdbdb;
}

.attendance_part .instructors_slider .ability p {
  padding: 10px 30px;
  background-color: rgba(219, 219, 219, 0.25);
}

.attendance_part .instructors_slider .ability {
  display: flex;
  gap: 30px;
  margin-bottom: 20px;
}

.attendance_part .instructors_slider .review .rating i {
  margin-left: 10px;
  color: #ff9900;
}

.attendance_part .instructors_slider .class_btn {
  width: 100%;
  margin: 10px 0;
}

.attendance_part .instructors_slider .class_btn a {
  width: 100%;
  display: inline-block;
  background-color: #70c9ae;
  padding: 10px 0;
  color: #fff;
}

/* instructor slider part */
/* -------------------------------------------
              data-table
----------------------------------------------*/
.page-link:focus {
  box-shadow: none !important;
}

.table_title {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
}

.table_part {
  margin-top: 20px;
}

.breadcrumb {
  font-size: 20px;
  font-weight: 500;
  color: var(--main-color);
  margin: 0;
}

.breadcrumb li {
  font-size: 16px;
}

.breadcrumb a {
  color: var(--main-color);
}

.add_btn {
  padding: 10px 30px;
  background-color: var(--main-color);
  color: #fff;
  text-transform: capitalize;
  font-weight: 500;
  position: relative;
  transition: 0.5s;
  border-radius: 5px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.add_btn span {
  z-index: 300;
  position: relative;
}

.add_btn:hover {
  background-color: var(--sub-color);
}

.add_btn i {
  margin-right: 20px;
  height: 20px;
  width: 20px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.dropdown-toggle::after {
  display: none;
}

.table img {
  width: 70px;
}

/* .tab {
  margin-top: 50px;
  box-shadow: rgba(60, 64, 67, 0.3) 0px 1px 2px 0px,
    rgba(60, 64, 67, 0.15) 0px 2px 6px 2px;
} */

.page-link {
  background-color: var(--main-color);
}

.active>.page-link,
.page-link.active {
  background-color: var(--main-color);
}

.btn-check:checked+.btn,
.btn.active,
.btn.show,
.btn:first-child:active,
:not(.btn-check)+.btn:active {
  border: 0;
}

.submit_btn .btn-green {
  background-color: green;
  color: #fff;
  margin-right: 15px;
}

.form-group label {
  font-size: 14px;
  text-transform: uppercase;
  font-weight: 500;
  color: #777777;
}

.brand-admin {
  padding: 10px;
  background-color: var(--main-color);
}

.account-style {
  background-color: var(--sub-color);
  color: #fff;
  padding: 10px 15px;
  border-radius: 10px;
  box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
  cursor: pointer;
}

.account_part .account-style:hover {
  background-color: var(--sub-color);
  color: #fff;
}

.account_part .account-style:active {
  background-color: var(--sub-color);
  color: #fff;
}

.account_part .account-style:focus {
  background-color: var(--sub-color);
  color: #fff;
}

.account_part .card {
  box-shadow: rgba(60, 64, 67, 0.3) 0px 1px 2px 0px,
    rgba(60, 64, 67, 0.15) 0px 2px 6px 2px;
}

.account_part .card-header {
  border-bottom: 0;
  background-color: #fff;
}

.descriprtion {
  max-width: 300px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.filed_error {
  border-color: red;
}

.form-group {
  margin: 0 0 20px 0;
}


.card {
  box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
}

.form-control {
  height: 45px;
  border-radius: 0;
  font-size: 14px;
  line-height: 30px;
}

.form_details {
  margin: 30px 0 0 0;
}

td {
  vertical-align: middle;
}

.form-select {
  height: 45px;
  border-radius: 0;
  font-size: 14px;
  line-height: 30px;
}

.link {
  text-transform: lowercase;
}



.certificate_img{
  display: flex;
  align-items: center;
  /* width: 100%; */
  justify-content: center;
}

.print-button {
  display: none;
}

.certificate_img {
  position: relative;
}
.certificate_img img{

  width: 1010px;
}


.certificate_img .form-control {
  position: absolute;
  top: 0;
}

.certificate_img .form-control {
  position: absolute;
  top: 45.5%;
  background: none;
  width: 400px;
  right: 32.5%;
  border: 0;
  left: auto;
  font-weight: 600;
  font-size: 25px;
  font-family: Cambria;
  /* border-bottom: 1px solid; */
}


